group-methods {xcms} | R Documentation

## Group peaks from different samples together

### Description

Group peaks together across samples by creating a master peak list and assigning corresponding peaks from all samples. It is inspired by the alignment algorithm of mzMine. For further details check http://mzmine.sourceforge.net/ and

Katajamaa M, Miettinen J, Oresic M: MZmine: Toolbox for processing and visualization of mass spectrometry based molecular profile data. Bioinformatics (Oxford, England) 2006, 22:634?636.

### Arguments

`object` | the `xcmsSet` object
`mzVsRTbalance` | Multiplicator for mz value before calculating the (euclidean) distance between two peaks.
`mzCheck` | Maximum tolerated distance for mz.
`rtCheck` | Maximum tolerated distance for RT.
`rtCheck` | Number of nearest Neighbours to check

### Value

An `xcmsSet` object with peak group assignments and statistics.

### Methods

object = "xcmsSet"
  `group(object, mzVsRTbalance=10, mzCheck=0.2, rtCheck=15, kNN=10)`

### See Also

`xcmsSet-class`, `group.density` and `group.mzClust`

[Package xcms version 1.16.3 Index]